%define	name	kradio
%define date	2009-03-22
%define pre	rc2
%define	version 4.0.0
%define	release	%mkrel -c %{pre} 1
%define	Summary	A V4L/V4L2-Radio Application for KDE 4.x

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPLv2+
Url:		http://sourceforge.net/projects/kradio/
Source0:	http://www.nocabal.de/~emw/kradio/download/%{name}4-%{version}-%{pre}.tar.bz2
Patch2:		kradio-fix-invalid-desktop.patch
Patch3:		kradio4-install-desktop.patch
BuildRequires:	kdelibs4-devel >= 2:4.1.83
BuildRequires:	libsndfile-devel
BuildRequires:	libalsa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libmms-devel
BuildRequires:	lirc-devel
BuildRequires:	oggvorbis-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Comfortable Radio Application for KDE 4.x

KRadio is a comfortable radio application for KDE 4.x.
It has support for V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Recording Capabilities
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset.
files for many cities around the world contributed by KRadio Users.

%prep
%setup -q -n %{name}4-%{version}-%{pre}
%patch2 -p1 -b .xdg
%patch3 -p1 -b .install

%build
%cmake_kde4
%make
 
%install
rm -rf %{buildroot}
%makeinstall_std -C build

rm -fr %buildroot%_datadir/doc/*

%find_lang %name --all-name

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif
 
%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_kde_bindir}/*
%{_kde_libdir}/%{name}4
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_appsdir}/%{name}4
%{_kde_iconsdir}/*/*/*/*


%changelog
* Sat Apr 11 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.rc2.1mdv2009.1
+ Revision: 366360
- 4.0 rc2

* Thu Apr 02 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.rc1.1mdv2009.1
+ Revision: 363454
- fix rm
- 4.0 rc1

* Mon Mar 23 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.r778.1mdv2009.1
+ Revision: 360596
- New snapshot

* Wed Mar 18 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.r775.1mdv2009.1
+ Revision: 357114
- New snapshot

* Sat Mar 07 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.r723.1mdv2009.1
+ Revision: 351315
- fix build with newer ffmpeg
- New snapshot r723

* Fri Mar 06 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.r701.1mdv2009.1
+ Revision: 349616
- New snapshot

* Mon Feb 09 2009 Funda Wang <fundawang@mandriva.org> 4.0.0-0.r562.1mdv2009.1
+ Revision: 338646
- New snapshot (kde4 based)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0-0.r497.3mdv2009.0
+ Revision: 218422
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.r497.3mdv2008.0
+ Revision: 77186
- fix invalid desktop file

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-0.r497.2mdv2008.0
+ Revision: 36181
- rebuild with correct optflags

* Mon Jun 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.r497.1mdv2008.0
+ Revision: 35070
- Add fd.o categories

  + Funda Wang <fundawang@mandriva.org>
    - Drop mandriva category
    - use unsermake
      fix file list
    - New snapshot
    - bunzip2 the patch
    - Rebuild
    - Import kradio



* Mon Jul 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-0.beta3b.1mdv2007.0
- 1.0beta3b
- fix xdg menu
- force aclocal-1.9
- work around missing, empty header
- cosmetics

* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.0-snapshot.20051204.2mdv2007.0
- chrpath plugins
- rm patch

* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.0-snapshot.20051204.1mdv2007.0
- new snapshot
- xdg
- now includes plgins
- update file list

* Sat Dec 24 2005 Anssi Hannula <anssi@mandriva.org> 0.3.0-snapshot.20040228.2mdk
- fix x86_64 build
- %%mkrel

* Mon Jun 14 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-snapshot.20040228.1mdk
- new snapshot
- reenable libtoolize
- add gcc3.4 patch from  Stefanos Harhalakis

* Tue Dec 30 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.3mdk
- DIRM fix

* Mon Dec 29 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.2mdk
- really disable rpath --thanks to Marcel Pol

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.1mdk
- first mdk release
